执行命令:(/usr/local/xunsearch是迅搜默认安装目录)
/usr/local/xunsearch/sdk/php/util/RequiredCheck.php

Xunsearch PHP-SDK 运行需求检查
==============================

检查内容
--------

本程序用于确认您的服务器配置是否能满足运行 Xunsearch PHP-SDK 的要求。
它将检查服务器所运行的 PHP 版本,查看是否安装了合适的PHP扩展模块,以及
确认 php.ini 文件是否正确设置。

+------------+------------+--------------------------+--------------------------------+
| 项目       | 结果       | 用于                     | 备注                           |
+------------+------------+--------------------------+--------------------------------+
| PHP 版本   | 5.5.10     | XS(core)                 | PHP 5.2.0 或更高版本是必须的。 |
| SPL 扩展   | OK         | XS(core)                 | SPL 扩展用于自动加载和对象戏法 |
| PCRE 扩展  | OK         | XSDocument, XSSearch     | 用于字符串切割、判断           |
| 编码转换   | mbstring   | XSDocument, XSSearch     | 用于支持非 UTF-8 字符集        |
| 缓存模块   | WARNING    | XS                       | 用于缓存项目配置文件的解析结果 |
| JSON 扩展  | OK         | util.Quest, util.Indexer | 用于读取或输出 JSON 格式的数据 |
| XML 扩展   | OK         | util.Indexer             | 用于读取导入 XML 格式的数据    |
| MySQL 扩展 | mysql      | util.Indexer             | 用于读取导入 MySQL 的数据库    |
| SQLite 扩  | sqlite3    | util.Indexer             | 用于读取导入 SQLite 的数据库   |
+------------+------------+--------------------------+--------------------------------+

检查结果
--------

共计 8 项通过,1 项警告,0 项错误。

您的服务器配置符合 Xunsearch/PHP-SDK 的最低要求。
如果您需要使用特定的功能,请关注上述的 WARNING 项。

 

---------------------------------------------------------------------------------------------
唯有志存高远,方能风行天下。

道之所存,虽千万人吾往矣! 情之所钟,虽千万里吾念矣~

原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 、作者信息和本声明。否则将追究法律责任。